"""This package contains everything regarding university applicants.
"""
# Make this a package.
from waeup.sirp.applicants.applicant import (
    ResultEntry, Applicant, ApplicantFactory, ApplicantImageStoreHandler,
    get_regno_or_ac, ApplicantImageNameChooser,
    )
from waeup.sirp.applicants.container import ApplicantsContainer
from waeup.sirp.applicants.root import (
    ApplicantsRoot, get_applicant_data, application_exists,
    )
from waeup.sirp.applicants.securitypolicy import (
    ApplicantPrincipalRoleManager,)

__all__ = [
    'ResultEntry',
    'Applicant',
    'ApplicantFactory',
    'ApplicantImageNameChooser',
    'ApplicantImageStoreHandler',
    'ApplicantPrincipalRoleManager',
    'ApplicantsContainer',
    'ApplicantsRoot',
    'application_exists',
    'get_applicant_data',
    'get_regno_or_ac',
    ]
